class Triangle {
    // attributes: 3 corner points
    Point p1;
    Point p2;
    Point p3;

    Triangle(Point p1, Point p2, Point p3) {
        this.p1 = p1;
        this.p2 = p2;
        this.p3 = p3;
    }

    float circumference() {
        return dist(p1, p2) + dist(p2, p3) + dist(p3, p1);
    }

    float dist(Point p, Point q) {
        double x = p.getX() - q.getX();
        double y = p.getY() - q.getY();
        return (float)Math.sqrt(Math.pow(x, 2.0) + (float)Math.pow(y, 2.0));
    }

    float area() {
        float s = 0.5f * circumference();
        return (float)Math.sqrt(s * (s - dist(p1, p2)) * (s - dist(p2, p3))
            * (s - dist(p3, p1)));
    }
}
